#include <stdio.h>

int main () {

  int n, v, k, s;
  scanf("%d", &n);

  if(n<=0)
  {
    printf("-1 \n");
    return -1;
  }
  for(v=1; v<=n; v++)
  {
    if(v==n)
    { 
      for(s=1; s<=v-1; s++)
	printf(" ");
      printf("*");
    }
    else
    {	
      for(s=1; s<=v-1; s++)
	printf(" ");
      for(k=1; k<=n-v; k++)
	printf("*-");
      printf("*");
    }
  printf("\n");
  }

return 0;
}
